Mailinglist Archive: opensuse (2343 mails)

< Previous Next >
Re: [opensuse] openSUSE 11, KDE 3.5...best way to get KDE 4.1 running?
  • From: Will Stephenson <wstephenson@xxxxxxx>
  • Date: Mon, 5 Jan 2009 14:21:49 +0100
  • Message-id: <200901051421.49791.wstephenson@xxxxxxx>
On Sunday 28 December 2008 18:13:31 Hans-Peter Jansen wrote:
Am Dienstag, 23. Dezember 2008 schrieb Joop Beris:
Hello listmates,

I am happily running an installation of openSUSE 11 on this machine, with
KDE 3.5. Everything works nice and I'm really satisfied with the system.
However..in the future, I will probably want to move to KDE 4.1. (or .2).

What is the best way to get KDE 4 running along KDE 3.5? Should I use the
1-Click Installer? Should I add repos and install it from there? If I
want a stable KDE 4 desktop, with regular updates, which repos should I
add? Stable? Factory? Questions, questions, questions...

4.1 is what is included with 11.1 and is stable. 4.2 will be out at the end
of January and is deep-frozen, in release preparation mode. We're actively
fixing serious 4.1 bugs as part of openSUSE 11.1 maintenance and developing
SLED11, but 4.2 is generally more complete in terms of features from KDE 3,
but since it's still a beta, it will have some small buglets left. Which one
you prefer depends on how conservative you like your software updates.

The main goal is to give KDE 4 a good, stable run, work with it, get the
feel of it. I'll try to create a coherent report of my findings too. So
in a nutshell, how do I get the best KDE 4 experience?

You can use the one-click installers here http://en.opensuse.org/KDE/KDE4 for
4.1 - stable is what went out in 11.1, Factory is what will go out with
SLED11. For 4.2 the link to UNSTABLE is present but you will need add the
repo URLs by hand. We'll link the one-clicks for 4.2 shortly, when the 4.2
release candidate is announced, but you can find the .ymp files for them in
the repos already if you look.

Just install with yast2 and switch session type in kdm before login..

Since I guess Joop is on 11.0, there isn't a KDE 4.1 in yast.

Will
--
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages